/********************************** (C) COPYRIGHT *******************************
* File Name          : main.c
* Author             : WCH
* Version            : V1.0.0
* Date               : 2021/06/06
* Description        : Main program body.
* Copyright (c) 2021 Nanjing Qinheng Microelectronics Co., Ltd.
* SPDX-License-Identifier: Apache-2.0
*******************************************************************************/

/*
 *@Note
 ڴӡ̣
 USART1_Tx(PA9)
 ʾʹ USART1(PA9) ӡԿ

*/

#include "debug.h"
#include "usart1.h"

/* Global typedef */

/* Global define */

/* Global Variable */


/*********************************************************************
 * @fn      main
 *
 * @brief   Main program.
 *
 * @return  none
 */
int main(void)
{
	NVIC_PriorityGroupConfig(NVIC_PriorityGroup_2);
	Delay_Init();
	USART_Printf_Init(115200);



    USART1_Init(115200);
    USART1_DMA_Init();

    printf("SystemClk:%d\r\n",SystemCoreClock);
    printf("This is printf example\r\n");

	while(1)
    {
	    printf("Touch_tx_flag:%d\r\n",Touch_tx_flag);
        /* жϽǷ */
        if(Touch_tx_flag != 0)
        {
            /* ȹرDMAͨ */
            DMA_Cmd(DMA1_Channel4,DISABLE);
            /* ־ */
            DMA_ClearFlag(DMA1_FLAG_TC4);
            /* DMAͳ */
            DMA_SetCurrDataCounter(DMA1_Channel4,Touch_tx_flag);
            /* ʹDMAͨ */
            DMA_Cmd(DMA1_Channel4,ENABLE);
            /* ȴɣûʹDMAж */
            while(!DMA_GetFlagStatus(DMA1_FLAG_TC4));

            /* ɱ־ */
            Touch_tx_flag = 0;
        }

//        Delay_Ms(500);

	}
}

